Bug 468252 - Sofware Log Viewer appears not to talk to the backend
Sofware Log Viewer appears not to talk to the backend
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 14:58 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 05:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-10-23 14:58:05 EDT
Description of problem:

It doesn't track any changes not done through PK. Arguably, it should.

Version-Release number of selected component (if applicable):

gnome-packagekit-0.3.8-1.fc10.x86_64
Comment 1 Richard Hughes 2008-10-24 05:03:34 EDT
No, I don't think it should -- PK transactions have tons more detail that what we can glean from yum.log or the rpmdb, for instance the user, the duration, what packages were deps and what was the point of the transaction. For some backends we need to know the transaction ID, which is needed for audit or rollback. You just can't get that from yum or rpm.

Also, the point of the PK log viewer was to see all the high level stuff you've done or was done automatically, like openoffice installing clipart, or me installing kernel-devel.

If you users want to use yum or rpm, sure, that's no problem, but they don't get the GUI info in the log viewer. You can use pkcon on the command line, but if you use rpm or yum directly PK has no idea what's going on.

Note You need to log in before you can comment on or make changes to this bug.